Groovy Documentation

## groovy.inspect.swingui
[Groovy] Interface AstBrowserNodeMaker

    interface AstBrowserNodeMaker

This interface is used to create tree nodes of various types

Authors:
  Roshan Dawrani

Method Summary
`java.lang.Object` | `makeNode(java.lang.Object userObject)`
`java.lang.Object` | `makeNodeWithProperties(java.lang.Object userObject, java.util.List properties)`

Method Detail

### makeNode

    java.lang.Object makeNode(java.lang.Object userObject)

### makeNodeWithProperties

    java.lang.Object makeNodeWithProperties(java.lang.Object userObject, java.util.List properties)

Groovy Documentation